<?php
if (constant("FILE_SATAMOUNT_CONF") === null)
{
    require_once(dirname(__FILE__). "/../contain.php");
}

/**
 * Write the configs into the configuration file.
 *
 * @param array $configs    The config items. array("ENABLED"=>1)
 */
function set_automount_running(array $configs)
{
    $configured = array();
    $conf_file = file(FILE_SATAMOUNT_CONF);
    $conf_file_new = [];
    $if_write_log = false;
    foreach($conf_file as $conf_line){
        $config_item = explode('=', trim($conf_line), 2);
        if(array_key_exists(trim($config_item[0]), $configs))
        {
            $conf_file_new[] = trim($config_item[0])."=".(string)$configs[$config_item[0]].PHP_EOL;
            $configured[] = $config_item[0];
        }else{
            $conf_file_new[] = $conf_line;
        }

        if (trim($config_item[0]) == "ENABLED" and $conf_line != $conf_file_new[-1])
        {
            $if_write_log = true;
        }
    }

    foreach ($configs as $item=>$value)
    {
        if (!in_array($item, $configured))
        {
            $conf_file_new[] = $item."=".escapeshellarg((string)$value).PHP_EOL;
        }
    }

    exec('/usr/bin/sudo chmod 777 '.FILE_SATAMOUNT_CONF);
    file_put_contents(FILE_SATAMOUNT_CONF, implode($conf_file_new));
    exec('/usr/bin/sudo chmod 644 '.FILE_SATAMOUNT_CONF);

    if ($if_write_log)
    {
        switch ($configs["ENABLED"]){
            case ENABLE:
                $eventDes = "##$@automount@$##Enable auto mount##$@automount@$##";
            break;
            case DISABLE:
                $eventDes = "##$@automount@$##Disable auto mount##$@automount@$##";
            break;
            default:
            break;
        }
        WriteLog("Information", $eventDes);
    }

    return 0;
}
?>