<?php
if (constant("FILE_SATAMOUNT_CONF") === null)
{
    require_once(dirname(__FILE__). "/../contain.php");
}

/**
 * Get the status of automount.
 * 
 * @return array ("err"=>ERR_SUCCEED, "status"=>ENABLE)
 */
function get_automount_state()
{
    $respond = array();

    $respond["status"] = DISABLE;
    $conf_file = file(FILE_SATAMOUNT_CONF);
	foreach($conf_file as $conf_line){
        $config_item = explode('=', trim($conf_line), 2);
        if(trim($config_item[0]) == "ENABLED")
		{
            switch((int)$config_item[1]){
                case ENABLE:
                    $respond["status"] = ENABLE;
                break;
                case DISABLE:
                    $respond["status"] = DISABLE;
                break;
                default:
                    $respond["status"] = ERROR;
                break;
            }
            $respond["err"] = ERR_SUCCEED;
        }else
        if (trim($config_item[0]) == "MOUNT_ON_STARTING"){
            switch((int)$config_item[1]){
                case ENABLE:
                    $respond["mount_on_starting"] = ENABLE;
                break;
                case DISABLE:
                    $respond["mount_on_starting"] = DISABLE;
                break;
                default:
                    $respond["mount_on_starting"] = ERROR;
                break;
            }
            $respond["err"] = ERR_SUCCEED;
        }
	}
    return $respond;
}

/**
 * Config auto mount.
 * 
 * @param array $request    The request from broswer. Contains the config items.
 */
function set_automount(array $request)
{
    require_once(dirname(__FILE__). "/config.php");
    $respond = array();
    
    $configs = array();
    if (isset($request["enableautomount"])){
        $configs["ENABLED"] = $request["enableautomount"];
    }
    if (isset($request["mount_on_starting"])){
        $configs["MOUNT_ON_STARTING"] = $request["mount_on_starting"];
    }
    set_automount_running($configs);
    $respond["err"] = ERR_SUCCEED;
    return $respond;
}
?>